### Signal

# SpiceClientGLib DisplayChannel::display-primary-destroy

#### Declaration

    void
    display_primary_destroy (
      SpiceDisplayChannel* self,
      gpointer user_data
    )

#### Description [src]

The `SpiceDisplayChannel::display-primary-destroy` signal is emitted when the primary surface is freed and should not be accessed anymore.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.